package LATMOS::Accounts::Bases::Dummy::User;

use strict;
use warnings;
use base qw(LATMOS::Accounts::Bases::Objects);

=head1 NAME

LATMOS::Accounts::Bases::Dummy::User - User support for Dummy base

=cut

our $VERSION = (q$Rev$ =~ /^Rev: (\d+) /)[0];

sub _get_attr_schema {
    {
        username => {},
        homeDirectory => { iname => 'home' },
    }
}

sub list {
    return ();
}

sub new {
    my ($class, $base, $id) = @_;
    bless { _id => $id }, $class;
}

sub _create {
    my ($class, $id);
    return 1;
}

1;

__END__

=head1 SEE ALSO

L<LATMOS::Accounts::Bases::Sql>, L<LATMOS::Accounts::Bases::Sql::DataRequest>

=head1 AUTHOR

Olivier Thauvin, E<lt>olivier.thauvin@latmos.ipsl.frE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2008, 2009, 2010, 2011, 2012 CNRS SA/CETP/LATMOS

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.10.0 or,
at your option, any later version of Perl 5 you may have available.

=cut
